//
//  VPNUConnectionStatistic.h
//  VPNUnlimitedSDK
//
//  Created by Alexey Bezrodny on 23.04.2024.
//  Copyright © 2024 KeepSolid. All rights reserved.
//

/*!
 @header
 @abstract Header file
 */

#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN

/*!
 @class VPNUConnectionStatistic
 @abstract
 A model object which describes connection's statistic information.
 */

@interface VPNUConnectionStatistic : NSObject
/*!
 @brief connectionType.
 */
@property (copy, nonnull) NSString *connectionType;
/*!
 @brief protocol.
 */
@property (copy, nullable) NSString *protocol;
/*!
 @brief statusConnection.
 */
@property (assign) BOOL statusConnection;
/*!
 @brief receivedVirtualIP.
 */
@property (assign) BOOL receivedVirtualIP;

@end

NS_ASSUME_NONNULL_END
